CWStruct::DSET::Child Struct Reference

structure used to define the child of a DSET structure More...

`#include <CWStruct.hxx>`

## Public Types

enum | Type { ZONE, TEXT, GRAPHIC, TABLE, UNKNOWN }
| the different types More...

## Public Member Functions

| Child ()
| constructor More...

## Public Attributes

int | m_type
| the type More...
int | m_id
| the identificator More...
long | m_posC
| a position (used in text zone to store the character ) More...
Box2i | m_box
| the bdbox More...

## Friends

std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<< More...

## Detailed Description

structure used to define the child of a DSET structure

## Member Enumeration Documentation

enum CWStruct::DSET::Child::Type

the different types

Enumerator
ZONE |
TEXT |
GRAPHIC |
TABLE |
UNKNOWN |

## Constructor & Destructor Documentation

CWStruct::DSET::Child::Child | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Child const & | ch
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i CWStruct::DSET::Child::m_box

the bdbox

Referenced by CWGraphInternal::Zone::getChild(), CWGraphInternal::ZoneBasic::getChild(), CWGraphInternal::ZonePict::getChild(), CWGraphInternal::ZoneBitmap::getChild(), CWGraphInternal::ZoneZone::getChild(), CWGraphInternal::ZoneUnknown::getChild(), and CWText::readDSETZone().

int CWStruct::DSET::Child::m_id

the identificator

Referenced by CWGraphInternal::ZoneZone::getChild().

long CWStruct::DSET::Child::m_posC

a position (used in text zone to store the character )

Referenced by CWText::readDSETZone().

int CWStruct::DSET::Child::m_type

the type

Referenced by CWGraphInternal::ZoneBasic::getChild(), CWGraphInternal::ZonePict::getChild(), CWGraphInternal::ZoneBitmap::getChild(), CWGraphInternal::ZoneZone::getChild(), CWGraphInternal::ZoneUnknown::getChild(), and CWText::readDSETZone().

The documentation for this struct was generated from the following file:

- CWStruct.hxx